diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 80f9c1c..cb20f22 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -38844,8 +38844,8 @@ FullPartialFractionExpansion(F, UP): Exports == Implementation where
         ans := ans + REC2RF(rec.center, rec.num, rec.exponent)
       ans
 
-    UP2SUP p ==
-      map(#1::UP::RF, p)$UnivariatePolynomialCategoryFunctions2(F, UP, RF, SUP)
+    UP2SUP p == map((z1:F):RF +-> z1::UP::RF, p)_
+        $UnivariatePolynomialCategoryFunctions2(F, UP, RF, SUP)
 
     -- returns Trace_k^k(a) (h(a) / (x - a)^n)  where d(a) = 0
     REC2RF(d, h, n) ==
diff --git a/changelog b/changelog
index ace76b9..1206c1f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.10.tpd.patch
+20090511 tpd books/bookvol10.3 FPARFRAC +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.09.tpd.patch
 20090511 tpd books/bookvol10.2 FRAMALG +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 633c904..f906e47 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1232,5 +1232,7 @@ bookvol10.2 UPOLYC +-> conversion<br/>
 bookvol10.3 FRIDEAL +-> conversion<br/>
 <a href="patches/20090511.09.tpd.patch">20090511.09.tpd.patch</a>
 bookvol10.2 FRAMALG +-> conversion<br/>
+<a href="patches/20090511.10.tpd.patch">20090511.10.tpd.patch</a>
+bookvol10.3 FPARFRAC +-> conversion<br/>
  </body>
 </html>
